Bug 1285541 - Deployment warning modal shows up even if I've fixed the problem
Deployment warning modal shows up even if I've fixed the problem
Product: Red Hat Quickstart Cloud Installer
Classification: Red Hat
Component: Installation - RHCI (Show other bugs)
Unspecified Unspecified
unspecified Severity medium
: TP2
: 1.0
Assigned To: cchase
Tasos Papaioannou
Dan Macpherson
: Triaged
Depends On:
Blocks: rhci-sprint-12
  Show dependency treegraph
Reported: 2015-11-25 16:55 EST by David Davis
Modified: 2016-10-03 15:13 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2016-10-03 15:13:26 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description David Davis 2015-11-25 16:55:10 EST
Description of problem:

If you hit a warning in the deployment and back up and fix the problem, you still get a modal warning you that there's a warning with the deployment

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Create a RHEV deployment and fill out a bad NFS url (one that doesn't exist)
2. Go to the deployment review screen. Note the warning.
3. Go back and change the url to a working NFS server url
4. Proceed to the deployment review screen. There should no longer be a warning.
5. Click "Deploy >" and you should get a warning modal saying "Are you sure that you want...". 

Actual results:

You get a warning modal even though there are no warnings.

Expected results:

No modal.
Comment 1 David Davis 2015-11-25 16:57:50 EST
Also, looks like the deployment name doesn't show up in the warning modal.
Comment 2 cchase 2016-01-20 16:30:20 EST
Comment 3 John Matthews 2016-01-22 15:20:35 EST
Compose of 1/22/16
Comment 4 Tasos Papaioannou 2016-01-26 13:48:12 EST
Verified on RHCI-6.0-RHEL-7-20160125.t.0.

Warning disappears after fixing NFS IP address, and deployment name is displayed under Installation Review.

Note You need to log in before you can comment on or make changes to this bug.